-- name: Super Mario and the Marvel Adventure
-- description: Super Mario and the Marvel Adventure is a ROM hack created by Kampel125, with 51 stars and 15 new courses.\n\nPorted by BlackJoystick\n\nMore Objects Patch port by Sunk\n\nAdditional behavior tweaks from the Star Road port.
-- incompatible: romhack

gLevelValues.entryLevel = LEVEL_CASTLE

gBehaviorValues.trajectories.BowlingBallBobTrajectory      = get_trajectory('bob_seg7_metal_ball_path0_RM2C_path')
gBehaviorValues.trajectories.KoopaBobTrajectory = get_trajectory('KoopaBoB_path')
gBehaviorValues.trajectories.KoopaThiTrajectory            = get_trajectory('KoopaTHI_path')
gBehaviorValues.trajectories.PlatformRrTrajectory          = get_trajectory('rr_seg7_trajectory_0702EC3C_RM2C_path')
gBehaviorValues.trajectories.PlatformRr2Trajectory         = get_trajectory('rr_seg7_trajectory_0702ECC0_RM2C_path')
gBehaviorValues.trajectories.PlatformCcmTrajectory         = get_trajectory('ccm_seg7_trajectory_0701669C_RM2C_path')
gBehaviorValues.trajectories.PlatformBitfsTrajectory       = get_trajectory('bitfs_seg7_trajectory_070159AC_RM2C_path')
gBehaviorValues.trajectories.PlatformHmcTrajectory         = get_trajectory('hmc_seg7_trajectory_0702B86C_RM2C_path')
gBehaviorValues.trajectories.PlatformLllTrajectory         = get_trajectory('lll_seg7_trajectory_0702856C_RM2C_path')
gBehaviorValues.trajectories.PlatformLll2Trajectory        = get_trajectory('lll_seg7_trajectory_07028660_RM2C_path')
gBehaviorValues.trajectories.PlatformRr3Trajectory         = get_trajectory('rr_seg7_trajectory_0702ED9C_RM2C_path')
gBehaviorValues.trajectories.PlatformRr4Trajectory         = get_trajectory('rr_seg7_trajectory_0702EEE0_RM2C_path')

camera_set_use_course_specific_settings(false)

smlua_audio_utils_replace_sequence(0x01, 0x22, 75, "01_Seq_custom")
smlua_audio_utils_replace_sequence(0x02, 0x11, 75, "02_Seq_custom")
smlua_audio_utils_replace_sequence(0x09, 0x11, 75, "MK64 Raceway")
smlua_audio_utils_replace_sequence(0x0B, 0x14, 75, "0B_Seq_custom")
smlua_audio_utils_replace_sequence(0x0C, 0x25, 75, "0C_Seq_custom")
smlua_audio_utils_replace_sequence(0x0D, 0x25, 75, "0D_Seq_custom")
smlua_audio_utils_replace_sequence(0x0E, 0x25, 75, "0E_Seq_custom")
smlua_audio_utils_replace_sequence(0x0F, 0x1B, 75, "0F_Seq_custom")
smlua_audio_utils_replace_sequence(0x10, 0x12, 75, "10_Seq_custom")
smlua_audio_utils_replace_sequence(0x12, 0x1F, 75, "12_Seq_custom")
smlua_audio_utils_replace_sequence(0x14, 0x1A, 75, "14_Seq_custom")
smlua_audio_utils_replace_sequence(0x15, 0x0E, 75, "15_Seq_custom")
smlua_audio_utils_replace_sequence(0x16, 0x1B, 75, "16_Seq_custom")
smlua_audio_utils_replace_sequence(0x17, 0x1A, 75, "17_Seq_custom")
smlua_audio_utils_replace_sequence(0x1B, 0x14, 75, "1B_Seq_custom")
smlua_audio_utils_replace_sequence(0x1C, 0x20, 75, "1C_Seq_custom")
smlua_audio_utils_replace_sequence(0x1D, 0x1E, 75, "1D_Seq_custom")
smlua_audio_utils_replace_sequence(0x1E, 0x1B, 75, "1E_Seq_custom")
smlua_audio_utils_replace_sequence(0x1F, 0x1A, 75, "1F_Seq_custom")
smlua_audio_utils_replace_sequence(0x20, 0x23, 75, "20_Seq_custom")
smlua_audio_utils_replace_sequence(0x21, 0x25, 75, "21_Seq_custom")
smlua_audio_utils_replace_sequence(0x23, 0x19, 75, "23_Seq_custom")
smlua_audio_utils_replace_sequence(0x25, 0x25, 75, "25_Seq_custom")
smlua_audio_utils_replace_sequence(0x26, 0x25, 75, "26_Seq_custom")
smlua_audio_utils_replace_sequence(0x27, 0x25, 75, "27_Seq_custom")
smlua_audio_utils_replace_sequence(0x28, 0x19, 75, "28_Seq_custom")
smlua_audio_utils_replace_sequence(0x29, 0x18, 75, "29_Seq_custom")
smlua_audio_utils_replace_sequence(0x2A, 0x19, 75, "2A_Seq_custom")
smlua_audio_utils_replace_sequence(0x2C, 0x11, 75, "2C_Seq_custom")
smlua_audio_utils_replace_sequence(0x2D, 0x11, 75, "2D_Seq_custom")
smlua_audio_utils_replace_sequence(0x2F, 0x25, 75, "2F_Seq_custom")
smlua_audio_utils_replace_sequence(0x30, 0x25, 75, "30_Seq_custom")
smlua_audio_utils_replace_sequence(0x31, 0x1B, 75, "31_Seq_custom")
smlua_audio_utils_replace_sequence(0x32, 0x1B, 75, "32_Seq_custom")
smlua_audio_utils_replace_sequence(0x33, 0x11, 75, "33_Seq_custom")
smlua_audio_utils_replace_sequence(0x2B, 0x1B, 75, "MLPIT Bowser Fight")
smlua_audio_utils_replace_sequence(0x34, 0x19, 75, "PMTTYD Dooplis Battle")

vec3f_set(gLevelValues.starPositions.KoopaBobStarPos, 6255, 900, -1200)
vec3f_set(gLevelValues.starPositions.KoopaThiStarPos, -3668, 3363, 2595)
vec3f_set(gLevelValues.starPositions.KingBobombStarPos, 2000.0, 4500.0, -4500.0)
vec3f_set(gLevelValues.starPositions.KingWhompStarPos, 180.0, 3880.0, 340.0)
vec3f_set(gLevelValues.starPositions.EyerockStarPos, 0.0, -900.0, -3700.0)
vec3f_set(gLevelValues.starPositions.BigBullyStarPos, 3700.0, 600.0, -5500.0)
vec3f_set(gLevelValues.starPositions.ChillBullyStarPos, 130.0, 1600.0, -4335.0)
vec3f_set(gLevelValues.starPositions.BigPiranhasStarPos, 7073.0, -497.0, 7581.0)
vec3f_set(gLevelValues.starPositions.TuxieMotherStarPos, 13346.0, 3683.0, 13854.0)
vec3f_set(gLevelValues.starPositions.WigglerStarPos, 5450.0, 313.0, 3565.0)
vec3f_set(gLevelValues.starPositions.PssSlideStarPos, -6358.0, -4300.0, 4700.0)
vec3f_set(gLevelValues.starPositions.RacingPenguinStarPos, -7339.0, -5700.0, -6774.0)
vec3f_set(gLevelValues.starPositions.TreasureChestStarPos, -1800.0, -2500.0, -1700.0)
vec3f_set(gLevelValues.starPositions.GhostHuntBooStarPos, 980.0, 1100.0, 250.0)
vec3f_set(gLevelValues.starPositions.KleptoStarPos, -5550.0, 300.0, -930.0)
vec3f_set(gLevelValues.starPositions.MerryGoRoundStarPos, -1600.0, -2100.0, 205.0)
vec3f_set(gLevelValues.starPositions.MrIStarPos, -7500.0, -1250.0, 2535.0)
vec3f_set(gLevelValues.starPositions.BalconyBooStarPos, 2535.0, 0.0, 4870.0)
vec3f_set(gLevelValues.starPositions.BigBullyTrioStarPos, 4700.0, 1250.0, 690.0)
