

function get_star_count()
    local courseMax = 25
    local courseMin = 1
    return save_file_get_total_star_count(get_current_save_file_num() - 1, courseMin - 1, courseMax - 1)
end

function bhv_custom_castle_cannon_grate_init(obj)
    obj.oFlags = (OBJ_FLAG_UPDATE_GFX_POS_AND_ANGLE)
    obj.collisionData = smlua_collision_util_get("castle_grounds_seg7_collision_cannon_grill")
    obj.oCollisionDistance = 4000
    load_object_collision_model()

    if get_star_count() > 44 then -- 65 star check
        obj.activeFlags = ACTIVE_FLAG_DEACTIVATED
    end
end

function bhv_custom_castle_cannon_grate_loop(obj)
    load_object_collision_model()
end

-- hook the behavior
bhvSMSRHiddenAt120Stars = hook_behavior(id_bhvHiddenAt120Stars, OBJ_LIST_SURFACE, true, bhv_custom_castle_cannon_grate_init, bhv_custom_castle_cannon_grate_loop)